using ldap_cesi.DTOs.Inputs.Salarie;
using ldap_cesi.DTOs.Inputs.Service;
using ldap_cesi.DTOs.Outputs.Salarie;
using ldap_cesi.Entities;
using ldap_cesi.Models;

namespace ldap_cesi.Services.Interfaces;

public interface ISalarieService
{
    Task<IResponseDataModel<List<Salarie>>> GetAll();
    Task<IResponseDataModel<Salarie>> GetById(int id);
    Task<IResponseDataModel<List<SalarieListDto>>> GetSalariesBySite(int siteId);
    Task<IResponseDataModel<List<SalarieListDto>>> GetSalariesByService(int serviceId);
    Task<IResponseDataModel<string>> Create(SalarieCreateDto salarieInput);
    Task<IResponseDataModel<Salarie>> Update(SalarieUpdateDto salarieInput);
    Task<IResponseDataModel<string>> Delete(int id);
    Task<IResponseDataModel<SalarieOutputDetail>> GetCompletById(int id);
}